using SqlSugar;

namespace OpenAuth.Repository.Domain;

[SugarTable("geo_style")]
public class GeoStyle
{
    public GeoStyle()
    {
    }

    [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
    public string Id { get; set; }

    /// <summary>
    /// 样式名称（geo）
    /// </summary>
    [SugarColumn(ColumnName = "style_name")]
    public string StyleName { get; set; }

    /// <summary>
    /// 标题
    /// </summary>
    [SugarColumn(ColumnName = "title")]
    public string Title { get; set; }

    /// <summary>
    /// sld地址
    /// </summary>
    [SugarColumn(ColumnName = "sld_path")]
    public string SldPath { get; set; }
    [SugarColumn(ColumnName = "style")]
    public string Style { get; set; }
    [SugarColumn(ColumnName = "create_date")]
    public DateTime CreateDate { get; set; }
}